View Issue Details

IDProjectCategoryView StatusLast Update
0007030Kali Linux[All Projects] New Tool Requestspublic2021-02-17 13:13
Reporterg0tmi1k Assigned Tosbrun  
PrioritynormalSeverityminorReproducibilityhave not tried
Status assignedResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0007030: pacu - The AWS exploitation framework, designed for testing the security of Amazon Web Services environments.
Description[Name] - pacu
[Version] - N/A
[Homepage] - https://rhinosecuritylabs.com/aws/pacu-open-source-aws-exploitation-framework/
[Download] - https://github.com/RhinoSecurityLabs/pacu NO TAG
[Author] - Rhino Security Labs
[License] - BSD 3
[Description] - The AWS exploitation framework, designed for testing the security of Amazon Web Services environments.

Pacu is an open-source AWS exploitation framework, designed for offensive security testing against cloud environments. Created and maintained by Rhino Security Labs, Pacu allows penetration testers to exploit configuration flaws within an AWS account, using modules to easily expand its functionality. Current modules enable a range of attacks, including user privilege escalation, backdooring of IAM users, attacking vulnerable Lambda functions, and much more.
[Dependencies] - Python ~ https://github.com/RhinoSecurityLabs/pacu/blob/master/requirements.txt

Relationships

related to 0006917 confirmed Kali Linux Cloud Pentesting Metapackage 

Activities

sbrun

2021-02-17 13:13

manager   ~0014225

pacu is not designed to be installed in a system wide manner.
It requires to have write rights on many files and we can not easily patch this as relative paths are used in many files.

https://github.com/RhinoSecurityLabs/pacu/issues/230

Issue History

Date Modified Username Field Change
2021-02-02 23:36 g0tmi1k New Issue
2021-02-02 23:36 g0tmi1k Relationship added related to 0006917
2021-02-10 10:11 sbrun Assigned To => sbrun
2021-02-10 10:11 sbrun Status new => assigned
2021-02-17 13:13 sbrun Note Added: 0014225